###############################################################################
# Copyright (c) 2005, 2019 IBM Corporation and others.
# This program and the accompanying materials
# are made available under the terms of the Eclipse Public License 2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/legal/epl-2.0/
#
# SPDX-License-Identifier: EPL-2.0
#
# Contributors:
#     IBM Corporation - initial API and implementation
###############################################################################
################################################################
# Information for extension point overview document
################################################################
# Overview document title
title = WTP J2EE Standard Tools (WST) Extension Points
header = JST Extension Points 
# Introduction paragraph
overview = The following extension points can be used to extend the capabilities of the JST infrastructure: 

# A list of the extension points that should be included in the
# extension point documentation.
listed-ext-points=org.eclipse.jst.common.annotations.controller.annotationsController,\
org.eclipse.jst.common.annotations.controller.annotationTagDynamicInitializer,\
org.eclipse.jst.common.annotations.controller.AnnotationTagInfo,\
org.eclipse.jst.common.annotations.controller.AnnotationTagSet,\
org.eclipse.jst.j2ee.core.ejbModelExtender,\
org.eclipse.jst.j2ee.core.jndiBindingsHelpers,\
org.eclipse.jst.j2ee.DeployerExtension,\
org.eclipse.jst.j2ee.EARModuleExtension,\
org.eclipse.jst.j2ee.ejb.annotation.model.ejbGenerator,\
org.eclipse.jst.j2ee.ejb.annotations.emitter.template,\
org.eclipse.jst.j2ee.ejb.annotations.xdoclet.ejbDocletTaskProvider,\
org.eclipse.jst.j2ee.ejb.annotations.xdoclet.webdocletTaskProvider,\
org.eclipse.jst.j2ee.ejb.annotations.xdoclet.xdocletRuntime,\
org.eclipse.jst.j2ee.ExtendedModuleImport,\
org.eclipse.jst.j2ee.J2EEModulePostImport,\
org.eclipse.jst.j2ee.resourceEnvRefType,\
org.eclipse.jst.j2ee.resourceRefType,\
org.eclipse.jst.j2ee.web.fileURL,\
org.eclipse.jst.j2ee.WebServiceClientGenerator,\
org.eclipse.jst.j2ee.WSDLServiceHelper,\
org.eclipse.jst.server.core.runtimeClasspathProviders,\
org.eclipse.jst.server.core.runtimeFacetMappings,\
org.eclipse.jst.server.core.serverProfilers,\
org.eclipse.jst.server.generic.core.genericpublisher,\
org.eclipse.jst.server.generic.core.serverdefinition